Class Veriplace_DefaultCallbackFactory

Description

Implements interfaces:

Standard implementation of Veriplace_CallbackFactory. The Veriplace client uses this if you don't specify a different implementation.

When constructing a callback URI, Veriplace_DefaultCallbackFactory behaves as follows:

  • Use the automatically detected hostname from $_SERVER['SERVER_NAME'], unless a different value was specified in the constructor. You may need to specify the value if your server's internal host name does not match the external domain name.
  • Use the automatically detected port from $_SERVER['SERVER_PORT'], unless a different value was specified in the constructor. You may need to specify the value if requests are being forwarded to your application from a different port. The port is omitted from the URI if it is the standard value of 80 (for HTTP) or 443 (for HTTPS).
  • Use the automatically detected URI subpath from $_SERVER['REQUEST_URI'], unless a different path was specified in the constructor. You may need to specify the path if requests are being forwarded to your application from within another application whose URI can't be automatically detected.
  • If no parameter names were specified in the constructor, copy all HTTP request parameters (query string and/or POST values) to the callback URI.
  • If parameter names were specified in the constructor, then include or exclude parameters based on what was specified.

Located in /Veriplace/Interfaces.php (line 85)


	
			
Method Summary
 Veriplace_DefaultCallbackFactory __construct ([ $host = null], [ $port = null], [ $path = null], [ $includeParameters = null], [ $excludeParameters = null])
 void createCallbackURI ([ $includePath = true])
 void __get ( $name)
Methods
Constructor __construct (line 93)
  • access: public
Veriplace_DefaultCallbackFactory __construct ([ $host = null], [ $port = null], [ $path = null], [ $includeParameters = null], [ $excludeParameters = null])
  • $host
  • $port
  • $path
  • $includeParameters
  • $excludeParameters
captureParameters (line 122)
  • access: public
void captureParameters ()

Implementation of:
Veriplace_CallbackFactory::captureParameters()
Returns a map containing the names and values of all HTTP GET or POST parameters that should be included in a callback.
createCallbackURI (line 102)
  • access: public
void createCallbackURI ([ $includePath = true])
  • $includePath

Implementation of:
Veriplace_CallbackFactory::createCallbackURI()
Returns a callback URI that should access the same resource as the current HTTP request.
__get (line 147)
  • access: public
void __get ( $name)
  • $name

Documentation generated on Sun, 29 Aug 2010 04:08:39 -0700 by phpDocumentor 1.4.1